Skip to main content
GET
/
api
/
v2
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resources
/
{resource_id}
/
owners
/
users
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appResourceOwnersV2.searchUserOwners({
    appId: "<id>",
    resourceTypeId: "<id>",
    resourceId: "<id>",
  });

  console.log(result);
}

run();
{
  "list": [
    {
      "appId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "resourceId": "<string>",
      "resourceTypeId": "<string>",
      "roleSlug": "<string>",
      "user": {
        "createdAt": "2023-11-07T05:31:56Z",
        "delegatedUserId": "<string>",
        "deletedAt": "2023-11-07T05:31:56Z",
        "department": "<string>",
        "departmentSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "directoryIds": [
          "<string>"
        ],
        "directoryStatusSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "displayName": "<string>",
        "email": "<string>",
        "emailSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "emails": [
          "<string>"
        ],
        "employeeIdSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "employeeIds": [
          "<string>"
        ],
        "employmentStatus": "<string>",
        "employmentStatusSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "employmentType": "<string>",
        "employmentTypeSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "id": "<string>",
        "jobTitle": "<string>",
        "jobTitleSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "managerIds": [
          "<string>"
        ],
        "managerSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "profile": {},
        "roleIds": [
          "<string>"
        ],
        "updatedAt": "2023-11-07T05:31:56Z",
        "username": "<string>",
        "usernameSources": [
          {
            "appId": "<string>",
            "appUserId": "<string>",
            "appUserProfileAttributeKey": "<string>",
            "userAttributeMappingId": "<string>",
            "value": "<string>"
          }
        ],
        "usernames": [
          "<string>"
        ]
      }
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

resource_type_id
string
required

The resourceTypeId field.

resource_id
string
required

The resourceId field.

Query Parameters

page_size
integer<int32>

The pageSize field.

page_token
string

The pageToken field.

role_slug
string

The roleSlug field.

Response

200 - application/json

SearchAppResourceUserOwnersResponse is the response for searching user ownership sources on a resource.

SearchAppResourceUserOwnersResponse is the response for searching user ownership sources on a resource.

list
App Resource Owner User · object[] | null

The list field.

nextPageToken
string | null

The nextPageToken field.